Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar1
Class GrammarBusiness

    java.lang.Object
      org.kemet.impl.grammar1.GrammarBusiness

All Implemented Interfaces:
  IGrammar

    public class GrammarBusiness

extends java.lang.Object
implements IGrammar

Since:
  0.1
Author:
  fabricemaupin

  manage the implemented grammar.

Constructor Summary
`GrammarBusiness()` instantiate the grammar business.

Method Summary
`java.lang.String` | `toHieroglyphs(java.lang.String[] transliterationList, GrammarManager gm)` convert transliteration to hieroglyphs.
`java.lang.String` | `toPhoneticRead(java.lang.String[] transliterationList, GrammarManager gm, java.lang.Boolean complete)` get the phonetic read from a transliteration list.
`java.lang.String` | `toPhoneticReadWithGlobalApproach(java.lang.String[] transliterationList, GrammarManager gm, java.lang.Boolean complete)` get the phonetic read from a transliteration list.
`java.lang.String` | `toTransliteration(java.lang.String[] signList, java.lang.Integer indexValueOfTransliteration)` convert hieroglyphs to transliteration.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrammarBusiness

    public GrammarBusiness()

  instantiate the grammar business.

  Since:
    0.1

Method Detail

### toHieroglyphs

    public java.lang.String toHieroglyphs(java.lang.String[] transliterationList,
                                          GrammarManager gm)
                                   throws KemetAPIException

  convert transliteration to hieroglyphs.

  Specified by:
    `toHieroglyphs` in interface `IGrammar`
  Parameters:
    `transliterationList` - list of transliteration
    `gm` - grammar manager instance
  Returns:
    string which contains transliteration
  Throws:
    `KemetAPIException`
  Since:
    0.1

### toTransliteration

    public java.lang.String toTransliteration(java.lang.String[] signList,
                                              java.lang.Integer indexValueOfTransliteration)

  convert hieroglyphs to transliteration.

  Specified by:
    `toTransliteration` in interface `IGrammar`
  Parameters:
    `signList` - list of sign
    `indexValueOfTransliteration` - index of list transliteration values returned by hiero.xml file
  Returns:
    list of signs
  Since:
    0.1

### toPhoneticRead

    public java.lang.String toPhoneticRead(java.lang.String[] transliterationList,
                                           GrammarManager gm,
                                           java.lang.Boolean complete)

  get the phonetic read from a transliteration list. evaluate the phonetic value for each part of each transliteration of the list.

  Specified by:
    `toPhoneticRead` in interface `IGrammar`
  Parameters:
    `transliterationList` - the transliteration
    `gm` - grammar manager
    `complete` - transliteration + vowel
  Returns:
    phonetic read of a transliteration
  Since:
    0.1

### toPhoneticReadWithGlobalApproach

    public java.lang.String toPhoneticReadWithGlobalApproach(java.lang.String[] transliterationList,
                                                             GrammarManager gm,
                                                             java.lang.Boolean complete)

  get the phonetic read from a transliteration list. evaluate the phonetic value for each transliteration of the list

  Specified by:
    `toPhoneticReadWithGlobalApproach` in interface `IGrammar`
  Parameters:
    `transliterationList` - the transliteration
    `gm` - grammar manager
    `complete` - transliteration + vowel
  Returns:
    phonetic read of a transliteration
  Since:
    0.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.